App\Library\Amazon\Classes\OfficePhone:
    xml_root_name: OfficePhone
    properties:
        variationData:
            expose: true
            access_type: public_method
            serialized_name: VariationData
            accessor:
                getter: getVariationData
                setter: setVariationData
            type: App\Library\Amazon\Classes\OfficePhone\VariationDataAType
        color:
            expose: true
            access_type: public_method
            serialized_name: Color
            accessor:
                getter: getColor
                setter: setColor
            type: string
        includesRechargableBattery:
            expose: true
            access_type: public_method
            serialized_name: IncludesRechargableBattery
            accessor:
                getter: getIncludesRechargableBattery
                setter: setIncludesRechargableBattery
            type: boolean
        noiseAttenuation:
            expose: true
            access_type: public_method
            serialized_name: NoiseAttenuation
            accessor:
                getter: getNoiseAttenuation
                setter: setNoiseAttenuation
            type: string
        specialFeatures:
            expose: true
            access_type: public_method
            serialized_name: SpecialFeatures
            accessor:
                getter: getSpecialFeatures
                setter: setSpecialFeatures
            type: string
        callerIdentification:
            expose: true
            access_type: public_method
            serialized_name: CallerIdentification
            accessor:
                getter: getCallerIdentification
                setter: setCallerIdentification
            type: boolean
        radioBandsSupported:
            expose: true
            access_type: public_method
            serialized_name: RadioBandsSupported
            accessor:
                getter: getRadioBandsSupported
                setter: setRadioBandsSupported
            type: string
